[
    {
        "version": "5.44.0",
        "date": "2022-06-17",
        "new features": [
            {
                "tickets": [
                    1976105
                ],
                "title": "Amazon metadata download: Add an option to prefer the Kindle edition when multiple book types are returned by the search (Preferences->Metadata download->Configure the Amazon plugin)"
            },
            {
                "title": "Kobo driver: Support for updated firmware"
            },
            {
                "tickets": [
                    1977681
                ],
                "title": "Allow customizing how yes/no columns are displayed (Preferences->Add your own columns)"
            },
            {
                "title": "Manage tags dialog: If tags are present in the add tags input when OK is clicked, add them automatically, without needing to click the plus button first"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1978500
                ],
                "title": "Edit book: Live CSS: Fix @namespace rules causing jumping to rule definition to go to the wrong definition"
            },
            {
                "title": "Workaround for Apple bug in macOS 13 that prevents device detection"
            },
            {
                "title": "Dont use commas in filenames when sending to pbsync and kindle email addresses"
            },
            {
                "title": "Edit book: When quitting while a save is in progress and the save completes while the confirmation popup is visible, dont abort the quit."
            }
        ],
        "improved recipes": [
            "Harvard Business Review",
            "Philosophy Now",
            "Sydney Morning Herald",
            "Haaretz",
            "Indian Express",
            "Hindi Business Line",
            "The New York Times",
            "Nature",
            "Eenadu",
            "Scientific American",
            "Business Today",
            "Irish Times",
            "FAZ.net",
            "Le Monde",
            "Economist"
        ],
        "new recipes": [
            {
                "title": "Nautilus",
                "author": "unkn0wn"
            },
            {
                "title": "The Healthy from Reader's Digest",
                "author": "Stephen Genusa"
            },
            {
                "title": "Business Standard Print Edition",
                "author": "unkn0wn"
            },
            {
                "title": "The Economic Times India Print Edition",
                "author": "unkn0wn"
            }
        ]
    },
    {
        "version": "5.43.0",
        "date": "2022-05-27",
        "new features": [
            {
                "title": "Kobo driver: Allow using templates to generate collections"
            },
            {
                "tickets": [
                    1975406
                ],
                "title": "Book details popup: Double clicking on the cover now uses calibre's internal image viewer. Right click on the cover to open it with another program."
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1971461
                ],
                "title": "Fix Book details blank when switching from device view to library view"
            },
            {
                "tickets": [
                    1973591
                ],
                "title": "TXT Input: Fix a regression in 5.39 that caused the option to remove indents also removing blank lines"
            },
            {
                "tickets": [
                    1972069
                ],
                "title": "E-book viewer: Fix incorrect sorting of highlights from the first internal file of a book"
            }
        ],
        "improved recipes": [
            "Outlook Magazine",
            "India Today",
            "The New Yorker",
            "Foreign Affairs"
        ],
        "new recipes": [
            {
                "title": "Asahi Shimbun",
                "author": "Albert Aparicio Isarn"
            },
            {
                "title": "Business Today Magazine",
                "author": "unkn0wn"
            },
            {
                "title": "Outlook Business Magazine",
                "author": "unkn0wn"
            },
            {
                "title": "Donga",
                "author": "Minsik Cho"
            },
            {
                "title": "Le Monde (English)",
                "author": "Darko Miletic"
            },
            {
                "title": "Hinduism Today",
                "author": "Vishwas Vasuki"
            },
            {
                "title": "The MIT Press Reader",
                "author": "yodha8"
            },
            {
                "title": "Live Science",
                "author": "yodha8"
            },
            {
                "title": "Financial Times Print Edition",
                "author": "Kovid Goyal"
            },
            {
                "title": "Various Catalan language news sources",
                "author": "santboia"
            }
        ]
    },
    {
        "version": "5.42.0",
        "date": "2022-05-03",
        "new features": [
            {
                "title": "E-book viewer: Ignore accents when doing a search"
            },
            {
                "tickets": [
                    1969926
                ],
                "title": "Book list searching: Ignore punctuation when searching. So that, for example, Gravitys will match Gravity's"
            },
            {
                "tickets": [
                    1970045
                ],
                "title": "Show the text used for marking books in the tooltip"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1971150
                ],
                "title": "Edit book: Reduce memory consumption by the checkpoint system when doing operations that involve parsing all book files"
            },
            {
                "tickets": [
                    1971015
                ],
                "title": "Amazon metadata download: Fix titles starting with [ being ignored"
            },
            {
                "tickets": [
                    1970497
                ],
                "title": "Edit metadata dialog: Undo not working correctly in identifiers field"
            },
            {
                "tickets": [
                    1970391
                ],
                "title": "Fix viewing LRF files not working"
            },
            {
                "tickets": [
                    1969981
                ],
                "title": "PDF Output: Fix an error on some invalid CSS in the input document"
            },
            {
                "title": "Linux binary: Workaround for Qt WebEngine not working on systems with glibc > 2.33"
            }
        ],
        "improved recipes": [
            "New Yorker",
            "OMG! Ubuntu!",
            "ACM Queue",
            "CACM",
            "Science News",
            "Quanta Magazine",
            "Outlook Magazine",
            "Indian Express"
        ],
        "new recipes": [
            {
                "title": "Caravan Magazine (Hindi)",
                "author": "Areet Mahadevan"
            },
            {
                "title": "LWN (Free)",
                "author": "yodha8"
            },
            {
                "title": "IEEE Spectrum Magazine",
                "author": "yodha8"
            },
            {
                "title": "Financial Times",
                "author": "Kovid Goyal"
            },
            {
                "title": "Cosmos Magazine",
                "author": "yodha8"
            }
        ]
    },
    {
        "version": "5.41.0",
        "date": "2022-04-22",
        "new features": [
            {
                "tickets": [
                    1968810
                ],
                "title": "Allow creating multiple types of temporary marks (pins) by right clicking the mark books button (which can be added to the calibre toolbar via Preferences->Toolbars & menus)"
            },
            {
                "title": "Kobo driver: Support updated firmware"
            },
            {
                "tickets": [
                    1967149
                ],
                "title": "Show a popup message when a Kindle is connected mentioning the Amazon cover bug and how to workaround it"
            },
            {
                "title": "Edit book: Table of Contents tool: Allow using the title attribute on headings tags to get the text for table of contents entries"
            },
            {
                "title": "When creating a custom column to display real (floating point) numbers allow specifying the number of decimal digits when editing values"
            },
            {
                "title": "Amazon metadata download: Add support for amazon.in country website"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1969302
                ],
                "title": "Edit book: Fix AltGr+{ not working on some keyboard layouts"
            },
            {
                "tickets": [
                    1967828
                ],
                "title": "TXT Input: Fix rare failure to convert some large TXT files with non-ASCII text"
            },
            {
                "title": "Get books: Update English language Amazon plugins for website changes"
            }
        ],
        "improved recipes": [
            "The Economic Times India",
            "Business Standard",
            "scmp.com",
            "Wired Magazine Monthly Edition",
            "Reason Magazine",
            "The Skeptical Inquirer",
            "Times of India",
            "LiveMint",
            "The Week",
            "Indian Express",
            "Hindustan Times"
        ],
        "new recipes": [
            {
                "title": "Eenadu",
                "author": "unkn0wn"
            },
            {
                "title": "Harvard Business Review",
                "author": "unkn0wn"
            },
            {
                "title": "Hindustan",
                "author": "unkn0wn"
            },
            {
                "title": "Dainik Bhaskar",
                "author": "unkn0wn"
            },
            {
                "title": "Free Inquiry",
                "author": "Howard Cornett"
            },
            {
                "title": "Sportstar",
                "author": "unkn0wn"
            },
            {
                "title": "Digit Magazine",
                "author": "unkn0wn"
            },
            {
                "title": "The Diplomat",
                "author": "unkn0wn"
            }
        ]
    },
    {
        "version": "5.40.0",
        "date": "2022-04-01",
        "new features": [
            {
                "tickets": [
                    1966872
                ],
                "title": "Content server viewer: Allow editing bookmarks"
            },
            {
                "tickets": [
                    1967028
                ],
                "title": "Read covers from CBC comic files"
            },
            {
                "tickets": [
                    1966537
                ],
                "title": "Allow filtering authors/tags when creating virtual library based on them"
            },
            {
                "tickets": [
                    1966851
                ],
                "title": "Add a copy button to the image view popup"
            },
            {
                "title": "Template language: Support for nested functions and a string concatenation operator"
            }
        ],
        "bug fixes": [
            {
                "title": "DOCX Output: Fix a comment immediately after a <li> tag breaking the conversion"
            },
            {
                "title": "Standalone ToC editor: Fix spurious error message if left open for more than two minutes"
            },
            {
                "tickets": [
                    1965693
                ],
                "title": "Fix search-as-you-type triggers extra search after manual confirmation"
            }
        ],
        "improved recipes": [
            "Courrier International"
        ],
        "new recipes": [
            {
                "title": "Reason Magazine",
                "author": "Howard Cornett"
            },
            {
                "title": "Seminar Magazine",
                "author": "unkn0wn"
            },
            {
                "title": "Frontline",
                "author": "unkn0wn"
            }
        ]
    },
    {
        "version": "5.39.1",
        "date": "2022-03-18",
        "new features": [
            {
                "tickets": [
                    1963875
                ],
                "title": "E-book viewer: Allow scrolling of the ToC, highlights, bookmarks, etc. with touch gestures"
            },
            {
                "tickets": [
                    1963822
                ],
                "title": "Edit metadata dialog: When using the change case operations if some text is selected, only operate on the selected text"
            },
            {
                "tickets": [
                    1964123
                ],
                "title": "Use atomic writes for the config files ensures no partial data is written in case of crash/powerloss"
            }
        ],
        "bug fixes": [
            {
                "title": "5.39.1 fixes a couple of regressions that broke case change in the Bulk metadata edit dialog and remembering column widths in the book list on some systems."
            },
            {
                "tickets": [
                    1964742
                ],
                "title": "Content server: Fix reading of books with thousands of internal files not working in the Chrome browser"
            },
            {
                "tickets": [
                    1965182
                ],
                "title": "Catalog generation: Fix a rare crash when generating very large catalogs"
            },
            {
                "title": "Edit/Polish book: Fix hardcoded Unicode ligatures not being preserved in AZW3 format books"
            },
            {
                "tickets": [
                    1963868
                ],
                "title": "Fix automatic searches causing search box to lose focus when search as you type is enabled in Preferences->Searching"
            },
            {
                "tickets": [
                    1963748
                ],
                "title": "Edit book: Check book: Auto fix package identifier being empty"
            },
            {
                "tickets": [
                    1963856
                ],
                "title": "Amazon metadata download: Fix getting series info from amazon.jp"
            },
            {
                "title": "Edit book: Insert hyperlinks: When sorting anchors on elements without any text content, use the anchor itself"
            },
            {
                "title": "Edit book: Make the saved search panel freely resizable"
            },
            {
                "title": "Edit book: When dragging to select a region or adjust the selection fix mouse moving outside the image causing the region to no longer be adjusted"
            }
        ],
        "improved recipes": [
            "India Legal Magazine",
            "The Smithsonian",
            "The Federalist"
        ],
        "new recipes": [
            {
                "title": "Swarajya Magazine",
                "author": "unkn0wn"
            },
            {
                "title": "Open Magazine",
                "author": "unkn0wn"
            }
        ]
    },
    {
        "version": "5.38.0",
        "date": "2022-03-04",
        "new features": [
            {
                "tickets": [
                    1852929
                ],
                "title": "E-book viewer: When displaying estimated time to completion for reading a book, remember the reading rate the next time the book is opened"
            },
            {
                "tickets": [
                    1961500
                ],
                "title": "Dark theme: Highlight the current cell in the book list with a lighter background and different foreground to make it more obvious"
            },
            {
                "tickets": [
                    1961639
                ],
                "title": "An option to disable editing composite columns in the main book list when Tabbing through them (Preferences->Look & feel->Edit metadata)"
            }
        ],
        "bug fixes": [
            {
                "title": "Tag editor: Fix regression in previous release that caused double clicking on tags to not work on non Linux platforms"
            },
            {
                "tickets": [
                    1962365
                ],
                "title": "Copy to library: Fix annotations not being copied"
            },
            {
                "tickets": [
                    1962213
                ],
                "title": "Edit book: Spell check: Fix words after a comment not being checked"
            },
            {
                "tickets": [
                    1960554
                ],
                "title": "PDF Output: Fix conversion failing if there are ToC entries pointing to removed content"
            },
            {
                "tickets": [
                    1961775
                ],
                "title": "E-book viewer: Fix an error when opening books with MathML for the second time if the last read position was at a MathML element"
            },
            {
                "title": "Edit book: Fix double clicking to select a word also selecting smart quotes surrounding the word"
            },
            {
                "title": "EPUB 3 metadata: Fix non-integer series index being sometimes represented using exponential notation"
            }
        ],
        "improved recipes": [
            "Lenta.ru and aif.ru",
            "Indian Express",
            "Live Mint",
            "Mainichi",
            "Japan Times"
        ],
        "new recipes": [
            {
                "title": "Hindustan Times",
                "author": "unkn0wn"
            },
            {
                "title": "India Legal Magazine",
                "author": "unkn0wn"
            },
            {
                "title": "RT \u043d\u0430 \u0440\u0443\u0441\u0441\u043a\u043e\u043c",
                "author": "Vuizur"
            }
        ]
    },
    {
        "version": "5.37.0",
        "date": "2022-02-18",
        "new features": [
            {
                "tickets": [
                    1961129
                ],
                "title": "Book details: Add actions to trim the cover to the right-click menu"
            },
            {
                "tickets": [
                    1960586
                ],
                "title": "Allow removing multiple email addresses at once in Preferences->Sharing by email"
            },
            {
                "title": "Book details: Use a better mono-spaced font on Windows by default"
            },
            {
                "title": "Add a tweak in Preferences->Tweaks to change the behavior of the Tab key when completing entries"
            },
            {
                "tickets": [
                    1959928
                ],
                "title": "Edit metadata: In \"All in one\" mode add an adjustable splitter between the cover and formats boxes"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1960686
                ],
                "title": "Textile output: Dont fail if input document has invalid padding or margin specifications"
            },
            {
                "tickets": [
                    1960446
                ],
                "title": "E-book viewer: Fix image display window not remembering its size and settings when run from within calibre"
            },
            {
                "title": "E-book viewer: Fix setting to use roman numerals for series not being respected"
            },
            {
                "title": "Edit book: When saving a copy do not fail if the original file has no write permissions"
            },
            {
                "tickets": [
                    1960180
                ],
                "title": "Embed fonts tool: Create <head> when missing"
            },
            {
                "title": "Tag editor: Improve performance when very large number of tags present"
            }
        ],
        "improved recipes": [
            "Live Mint",
            "The Hindu",
            "Reuters",
            "MMC RTV Slovenija",
            "Down To Earth",
            "Publico.PT"
        ],
        "new recipes": []
    },
    {
        "version": "5.36.0",
        "date": "2022-02-04",
        "new features": [
            {
                "title": "Edit metadata dialog: Allow controlling which custom columns are present in this dialog via Preferences->Look & feel->Edit metadata"
            },
            {
                "title": "Edit metadata dialog: Allow manually sizing the various sections of the dialog in \"All on 1 tab\" mode"
            },
            {
                "title": "Edit book: Spell checking: Update the bundled English and Spanish dictionaries"
            },
            {
                "tickets": [
                    1958773
                ],
                "title": "BibTeX catalogs: Support tags like custom columns"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1959659
                ],
                "title": "Amazon metadata download: Fix paragraphs in the comments being merged"
            },
            {
                "tickets": [
                    1958979
                ],
                "title": "Amazon.de metadata download: Fix published date and series information not being fetched for some books"
            },
            {
                "title": "Email delivery: Fix sending email via Hotmail not working since this week because Microsoft changed the SMTP server name"
            },
            {
                "tickets": [
                    1959220
                ],
                "title": "Do not remove articles for titles in the Polish language"
            },
            {
                "tickets": [
                    1959207
                ],
                "title": "E-book viewer: When using Read aloud do not automatically lookup the highlighted word until read aloud is paused or stopped"
            },
            {
                "title": "E-book viewer: Fix Ctrl+p shortcut for printing not working"
            },
            {
                "tickets": [
                    1958882
                ],
                "title": "Show an error when viewing a specific format and the file is missing"
            },
            {
                "title": "Edit book: Fix renaming of classes that start/end with non word characters not working"
            },
            {
                "tickets": [
                    1958730
                ],
                "title": "Edit book: Preview panel: Fix hyphenation at end of line being rendered as boxes on macOS"
            },
            {
                "tickets": [
                    1959893
                ],
                "title": "Fix incorrect selection size displayed in Trim image dialog when image is scaled down to fit"
            },
            {
                "tickets": [
                    1959782
                ],
                "title": "Edit book: Fix pasting files from another editor instance failing if a file with the same name already exists"
            },
            {
                "tickets": [
                    1959981
                ],
                "title": "When reviewing metadata if the newly downloaded metadata has no language but there is an existing language, ensure it is preserved"
            }
        ],
        "improved recipes": [
            "India Today",
            "Indian Express",
            "Live Mint",
            "Al Jazeera in English",
            "The Financial Express",
            "The Straits Times"
        ],
        "new recipes": [
            {
                "title": "title",
                "author": "author"
            }
        ]
    },
    {
        "version": "5.35.0",
        "date": "2022-01-21",
        "new features": [
            {
                "tickets": [
                    1956006
                ],
                "title": "Coloring/icon rules: Allow creating a rule for date columns that matches *today*"
            },
            {
                "title": "Kobo driver: Add support for new firmware"
            },
            {
                "tickets": [
                    1954890
                ],
                "title": "Content server: Show total number of results when searching for books"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1958028
                ],
                "title": "E-book viewer: Fix searching for text near the end of a chapter sometimes not working"
            },
            {
                "tickets": [
                    1954714
                ],
                "title": "E-book viewer: Fix auto hyphenation on macOS not rendering the hyphens correctly"
            },
            {
                "title": "Edit book: Reports: Fix thumbnails of SVG images not rendered"
            },
            {
                "title": "ODT metadata: Support reading tags from multiple <keyword> elements"
            },
            {
                "tickets": [
                    1958115
                ],
                "title": "LRF Input: Fix a regression in calibre 5 that broke parsing of some LRF files"
            },
            {
                "tickets": [
                    1956097
                ],
                "title": "MOBI output: Dont fail if input document contains invalid % based lengths"
            },
            {
                "tickets": [
                    1955308
                ],
                "title": "AZW3 Input: Handle AZW3 files with incorrect TAGX Offset INDX header fields"
            },
            {
                "tickets": [
                    1956932
                ],
                "title": "Comic conversion: Fix conversion of comic images that are stored as grayscale images in JPEG format not working when converting to PDF with image processing turned off"
            },
            {
                "tickets": [
                    1955967
                ],
                "title": "calibredb catalog: Fix --ids and --search options not working for CSV/XML catalogs"
            },
            {
                "tickets": [
                    1958490
                ],
                "title": "Tag browser: Fix the find box not using all available width"
            },
            {
                "tickets": [
                    1956192
                ],
                "title": "E-book viewer: Remove books that do not exist from the recently opened book list"
            },
            {
                "title": "Completion popups: Fix display of items containing line breaks"
            },
            {
                "tickets": [
                    1956129
                ],
                "title": "Fix line breaks in custom column descriptions not being rendered in their tooltips"
            },
            {
                "tickets": [
                    1956088
                ],
                "title": "Fix Preferences->Searching->Clear search histories not taking effect till a restart for some search boxes"
            },
            {
                "tickets": [
                    1955732
                ],
                "title": "Hierarchical entries in user category may not merge correctly in tag browser"
            }
        ],
        "improved recipes": [
            "Foreign Affairs",
            "MIT Technology Review",
            "Reuters",
            "Clarin",
            "General Knowledge Today",
            "Popular Science"
        ],
        "new recipes": [
            {
                "title": "Dw.de",
                "author": "xav"
            },
            {
                "title": "Equestria Daily",
                "author": "Timothee Andres"
            }
        ]
    },
    {
        "version": "5.34.0",
        "date": "2021-12-17",
        "new features": [
            {
                "title": "Happy holidays to everyone!"
            },
            {
                "title": "Driver for the new Nook Glowlight 4"
            },
            {
                "title": "Edit book: Spell check tool: Add an exclude files button to exclude some files from being checked"
            },
            {
                "title": "EPUB/MOBI Catalogs: Increase the maximum thumbnail size to 3 inches from 2 inches"
            },
            {
                "tickets": [
                    1953739
                ],
                "title": "Allow creating a shortcut in Preferences->Shortcuts->Edit metadata to paste metadata ignoring the value of the exclude_fields tweak"
            },
            {
                "tickets": [
                    1954715
                ],
                "title": "E-book viewer: Displays links marked up as glossary and bibliography links as popups"
            },
            {
                "tickets": [
                    1954572
                ],
                "title": "Add a tweak in Preferences->Tweaks to provide the sort value for undefined numbers"
            }
        ],
        "bug fixes": [
            {
                "title": "Edit book: Fix pressing F8 to jump to next misspelled word not working after last word in current file"
            },
            {
                "tickets": [
                    1954889
                ],
                "title": "Fix PDB E-reader output broken in calibre 5"
            },
            {
                "tickets": [
                    1954839
                ],
                "title": "Edit book: Reports: Include descendant selectors that use classes when counting class usage"
            },
            {
                "tickets": [
                    1954726
                ],
                "title": "E-book viewer: Fix an error when opening some books with highlights that span in-line text formatting"
            },
            {
                "tickets": [
                    1954460
                ],
                "title": "MTP driver: Do not send the calibre device db files to the root folder on the Supernote A5 x as it fails"
            },
            {
                "title": "ToC Editor: Workaround an occasional error when closing on Windows if the file being edited is in a DropBox/antivirus prone folder"
            },
            {
                "title": "Fix a regression in the previous release that broke creating new keyboard shortcuts"
            },
            {
                "title": "Comments editor: When flowing the tool bar onto multiple lines do not split up groups of buttons"
            },
            {
                "title": "Various compatibility fixes for Python 3.10 used by some Linux distributions"
            }
        ],
        "improved recipes": [
            "Pocket",
            "El Pais",
            "American Prospect",
            "Mediapart"
        ],
        "new recipes": []
    },
    {
        "version": "5.33.2",
        "date": "2021-12-03",
        "new features": [
            {
                "title": "Allow changing the icon used for calibre libraries. Right click the library icon in calibre and choose \"Change the icon for this library\""
            },
            {
                "title": "Comments editor: Use a single line for all three toolbars if they fit"
            },
            {
                "title": "Edit book: Allow merging HTML files by drag and drop of the files onto another HTML file"
            },
            {
                "title": "Kobo driver: Add support for listing purchased audiobooks"
            },
            {
                "title": "Edit metadata all-in-one mode: The cover and formats column now gives as much vertical space as possible to the cover image"
            },
            {
                "tickets": [
                    1952562
                ],
                "title": "Add books dialog: When a non-book file type is added the next time the dialog is used, preselect the \"All files\" filter"
            },
            {
                "tickets": [
                    1952764
                ],
                "title": "calibre-server --manage-users: Allow managing users while the server is running and also add actions to automate changing user account restrictions"
            },
            {
                "tickets": [
                    1950762
                ],
                "title": "EPUB 3 metadata: If the book contains a \"subtitle\" append it to the main title when reading metadata"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1950673
                ],
                "title": "E-book viewer: Fix an occasional hang on startup at \"Loading section\""
            },
            {
                "tickets": [
                    1952142
                ],
                "title": "Get books: Update the Kobo plugin for website changes"
            },
            {
                "tickets": [
                    1951673
                ],
                "title": "Bulk edit metadata dialog: Fix changing the search mode resetting other fields"
            },
            {
                "tickets": [
                    1951507
                ],
                "title": "E-book viewer: Fix sorting of highlights incorrect in books that use HTML ids with a hyphen in them"
            },
            {
                "tickets": [
                    1951467
                ],
                "title": "PDF Output: Fix the option to break long words at the ends of lines causing boxes to be rendered at the end of the line on macOS with some fonts"
            },
            {
                "title": "Google metadata plugin: When searching by ISBN if no results are found retry using an alternate query syntax"
            },
            {
                "title": "5.33.2 fixes a couple of regressions that broke the toolbar in the popup comments editor dialog and rendering of the download metadata button in the edit metadata dialog on Windows, as well as reading files from MTP devices on Windows"
            }
        ],
        "improved recipes": [
            "Smithsonian Magazine"
        ],
        "new recipes": [
            {
                "title": "The Epoch Times",
                "author": "Kovid Goyal"
            },
            {
                "title": "Mens Day Out",
                "author": "Vishwas Vasuki"
            }
        ]
    },
    {
        "version": "5.32.0",
        "date": "2021-11-12",
        "new features": [
            {
                "type": "major",
                "title": "Edit book: Add a tool to transform HTML tags based on rules (Tools->Transform HTML)",
                "description": "Allows for making transformations such as changing one html tag to another, deleting tags, wrapping them in another tag, etc. Also available during conversions via the Look & feel->Transform HTML section of the conversion dialog."
            },
            {
                "tickets": [
                    1949908
                ],
                "title": "Driver for the new Tolino Vision 6"
            },
            {
                "title": "Kobo driver: Add support for the latest firmware released last week"
            },
            {
                "tickets": [
                    1948889
                ],
                "title": "When picking a random book ensure recently chosen books are not re-selected"
            },
            {
                "title": "Icon theme chooser dialog: Allow right clicking on a theme to visit its homepage"
            }
        ],
        "bug fixes": [
            {
                "title": "Amazon metadata download: Add support for more markup variations in amazon's sites that could prevent the fetching of ratings, comments and series metadata for some books"
            },
            {
                "title": "Google search: Add support for new beta search results page markup that was preventing using cached Google pages to search for Amazon metadata"
            },
            {
                "title": "PDF Output: Fix the option to preserve cover aspect ratio being ignored when converting comics"
            },
            {
                "tickets": [
                    1950412
                ],
                "title": "DOCX Input: Sanitize image filenames more strictly to workaround broken EPUB software"
            },
            {
                "tickets": [
                    1950206
                ],
                "title": "Linux binary: Fix file dialogs not working on Fedora 35 under KDE"
            },
            {
                "tickets": [
                    1949604
                ],
                "title": "When sending email to the Kindle and PocketBook sync services use ASCII filenames as there have been some reports of issues with non-ASCII filenames with these services."
            },
            {
                "tickets": [
                    1950033
                ],
                "title": "Book Details: Fix missing copy options on composite columns"
            },
            {
                "title": "Ask for confirmation when deleting covers from books"
            }
        ],
        "improved recipes": [
            "New York Post",
            "Liberation",
            "Boston Globe",
            "The Globe and Mail",
            "LeMonde"
        ],
        "new recipes": [
            {
                "title": "India speaks reddit feed",
                "author": "Vishwas Vasuki"
            }
        ]
    },
    {
        "version": "5.31.1",
        "date": "2021-10-29",
        "new features": [
            {
                "tickets": [
                    1948883
                ],
                "title": "Kindle driver: Support the new Kindle PaperWhite 2021"
            },
            {
                "title": "Add an option under Preferences->Behavior to have calibre recognize numbers when sorting (this was previously under Preferences->Tweaks)"
            },
            {
                "title": "E-book viewer: Add a button to directly open the viewer help section in the calibre user manual to the viewer controls"
            },
            {
                "title": "E-book viewer: Prevent the display from sleeping when using auto-scroll or read aloud modes (Implemented only on Windows and macOS)"
            },
            {
                "title": "Edit book: Set semantics tool: Add support for EPUB 3 landmarks"
            },
            {
                "tickets": [
                    1948493
                ],
                "title": "Add an entry to the Connect/share menu to open the content server in a local browser when it is running"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1947879
                ],
                "title": "Content server: Fix some OPDS feeds failing with non-ASCII content"
            },
            {
                "tickets": [
                    1948560
                ],
                "title": "Tag browser: Fix incorrect first letter partitioning when enabling numeric collation of items that start with a number"
            },
            {
                "tickets": [
                    1949167
                ],
                "title": "5.31.1 fixes a bug in an HTML serialization library calibre uses that broke a few things, such as the comments editor tool in the metadata dialog",
                "description": ""
            }
        ],
        "improved recipes": [],
        "new recipes": []
    },
    {
        "version": "5.30.0",
        "date": "2021-10-22",
        "new features": [
            {
                "title": "Add support for the new Kobo Sage and Libra 2 e-book reader devices"
            },
            {
                "tickets": [
                    1946439
                ],
                "title": "E-book viewer: Read aloud: Allow right clicking to play/pause reading"
            },
            {
                "title": "Sending books by e-mail: Preserve non-English characters in attached filenames"
            },
            {
                "tickets": [
                    1946560
                ],
                "title": "Tag browser: Allow searching for sub-categories by right clicking on them"
            }
        ],
        "bug fixes": [
            {
                "title": "E-book viewer: Fix cover and full screen images not centered in paged mode when more than one page is displayed per screen"
            },
            {
                "title": "ToC Editor: Ignore in succession clicks on the OK and Cancel buttons to avoid accidentally closing the window when finishing creating a new entry"
            },
            {
                "tickets": [
                    1905479
                ],
                "title": "Comments editor: Fix the formatting buttons not showing the current state correctly and fix some keyboard shortcuts not working when more than one comments editor is present in a single window"
            },
            {
                "tickets": [
                    1946417
                ],
                "title": "Tag browser: Fix renaming of User categories in Virtual libraries"
            },
            {
                "tickets": [
                    1947948
                ],
                "title": "Make removing large numbers of custom column icons easier"
            }
        ],
        "improved recipes": [
            "Private Eye",
            "Foreign Policy",
            "Le Monde Diplomatique - cono sur"
        ],
        "new recipes": []
    },
    {
        "version": "5.29.0",
        "date": "2021-10-08",
        "new features": [
            {
                "tickets": [
                    1945890
                ],
                "title": "Allow drag and drop of books onto formats in the Tag browser to convert them to that format"
            },
            {
                "tickets": [
                    1945891
                ],
                "title": "Allow creating sorts based on multiple columns (Add the Sort action to the toolbar via Preferences->Toolbars & menus)"
            },
            {
                "title": "Edit book: When changing a paragraph to a heading if the cursor is adjacent to a paragraph tag but not inside any tags other than body, use the adjacent tag"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1945889
                ],
                "title": "Auto adding: Run relevant plugins before reading metadata from the book. Matches behavior of manual adding"
            },
            {
                "tickets": [
                    1945882
                ],
                "title": "Content server: Fix category collapse by partition not working"
            },
            {
                "title": "Prevent Tab from causing focus to leave the Tag browser"
            },
            {
                "title": "Edit book: See what changed: Fix non-BMP unicode characters causing highlighting of changed words to be slightly misplaced"
            },
            {
                "title": "PDF Output: Fix a regression that broke conversion of comics that contain 1-bit images"
            },
            {
                "title": "Edit book: Fix pressing Ctrl+Tab inserting a tab at the start of a line instead of switching tabs"
            },
            {
                "tickets": [
                    1945098
                ],
                "title": "Fix a regression in the previous release that caused identifiers set by some plugins to not be saved in the database"
            },
            {
                "tickets": [
                    1946342
                ],
                "title": "Template language: Fix nesting composite columns sometimes failing"
            }
        ],
        "improved recipes": [
            "Entrepreneur Magazine",
            "Dawn",
            "New York Review of Books"
        ],
        "new recipes": [
            {
                "title": "Various Indian news sources",
                "author": "Vishvas Vasuki"
            }
        ]
    },
    {
        "version": "5.28.0",
        "date": "2021-09-24",
        "new features": [
            {
                "title": "Edit metadata dialog: Customize cover generation: Allow saving and loading cover generation settings as \"themes\""
            },
            {
                "tickets": [
                    1944614
                ],
                "title": "E-book viewer: Allow pressing the 0-9 keys to apply a quick highlight style"
            },
            {
                "tickets": [
                    1943521
                ],
                "title": "Book details panel: While clicking tags/authors/etc. holding down the Ctrl+Shift modifier keys now add the tag to the current search with \"AND\" instead of \"OR\" when using only Ctrl"
            },
            {
                "tickets": [
                    1944057
                ],
                "title": "Add an option to the preferences drop down menu to restart calibre without third party plugins"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1944562
                ],
                "title": "Edit book: When renaming classes in style sheets only recognize class names preceded by a period"
            },
            {
                "title": "E-book viewer: Fix lookup in Google partially hidden due to change in Google results page markup"
            },
            {
                "title": "Conversion dialog: Search replace expression builder: Fix incorrect search result highlighting when non-BMP unicode characters are present in the text"
            },
            {
                "tickets": [
                    1943270
                ],
                "title": "E-book viewer: Fix popup footnote blank when the footnote link points to a <body> tag"
            },
            {
                "tickets": [
                    1944433
                ],
                "title": "E-book viewer: Fix jumping to highlights in text that occurs after a line break and newline character not working in paged mode"
            },
            {
                "tickets": [
                    1943495
                ],
                "title": "Kindle Output: Strip EXIF metadata from JPEG images as the Kindle renderer has issues with it"
            }
        ],
        "improved recipes": [
            "\u0410\u0440\u0433\u0443\u043c\u0435\u043d\u0442\u044b \u0438 \u0424\u0430\u043a\u0442\u044b",
            "India Today"
        ],
        "new recipes": []
    },
    {
        "version": "5.27.0",
        "date": "2021-09-10",
        "new features": [
            {
                "title": "When adding markdown (.md) or textile (.textile) files that contain references to images, automatically add them as txtz with the images"
            }
        ],
        "bug fixes": [
            {
                "title": "DOCX Output: Correctly convert soft hyphens in the input document to DOCX soft hyphens"
            },
            {
                "tickets": [
                    1942805
                ],
                "title": "DOCX Input: Fix a bookmark at the end of a paragraph causing the bookmark at the start of the paragraph to be skipped"
            },
            {
                "tickets": [
                    1942773
                ],
                "title": "Edit book: Spell check: Fix EPUB 3 nav document not being spell checked when not in the spine"
            },
            {
                "tickets": [
                    1942012
                ],
                "title": "PDF Output: Fix a rare failure when the input document has a ToC item pointing to the last page"
            },
            {
                "tickets": [
                    1942129
                ],
                "title": "Windows: Fix a regression in calibre 5 that caused drag and drop from WinZip to not work"
            },
            {
                "tickets": [
                    1941992
                ],
                "title": "TXT Output: Fix a regression in calibre 5 that caused the max line length option to not work"
            },
            {
                "title": "When auto converting added TXT files with image references to TXTZ use a full markdown parser to detect markdown images"
            }
        ],
        "improved recipes": [
            "BBC News",
            "Foreign Affairs"
        ],
        "new recipes": [
            {
                "title": "The Week",
                "author": "Kovid Goyal"
            }
        ]
    },
    {
        "version": "5.26.0",
        "date": "2021-08-27",
        "new features": [
            {
                "tickets": [
                    1941013
                ],
                "title": "Dark color scheme: Use a darker blue for highlighted items"
            }
        ],
        "bug fixes": [
            {
                "title": "Content server book viewer: Show a message when a search finds no matches"
            },
            {
                "title": "MOBI Output: Fix JPEG images without any JFIF metadata not being rendered on the Kindle"
            },
            {
                "tickets": [
                    1939908
                ],
                "title": "Comic input: Fix single color images having their colors changed by normalization"
            },
            {
                "tickets": [
                    1940005
                ],
                "title": "E-book viewer: Fix creating multiple highlights in a single paragraph that also contains some extra text formatting at the start causing the second and subsequent highlights to malfunction"
            },
            {
                "tickets": [
                    1939912
                ],
                "title": "Edit book: Fix a regression in the previous release that broke the options in the Remove unused CSS dialog"
            }
        ],
        "improved recipes": [
            "Boston Globe"
        ],
        "new recipes": [
            {
                "title": "NYTimes Cooking",
                "author": "gourav"
            }
        ]
    },
    {
        "version": "5.25.0",
        "date": "2021-08-13",
        "new features": [
            {
                "tickets": [
                    1939469
                ],
                "title": "Edit/Polish book: Remove unused CSS now also removes unreferenced stylesheets"
            },
            {
                "title": "E-book viewer: Add some CSS variables and classes that allow writing calibre specific CSS in ebooks. See https://manual.calibre-ebook.com/viewer.html#designing-your-book-to-work-well-with-the-calibre-viewer"
            },
            {
                "title": "A new framework plugins can use to be notified about changes to calibre libraries"
            },
            {
                "tickets": [
                    1938752
                ],
                "title": "Edit metadata dialog: When pasting into the identifiers field if the clipboard contains a URL paste it directly as a URL identifier"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1938448
                ],
                "title": "E-book viewer: When displaying popup footnotes use the same writing direction as the main text for the footnote popups size and header"
            },
            {
                "title": "E-book viewer: Improve the text layout when looking up words in Google"
            },
            {
                "title": "Content server viewer: Fix read aloud not working on mobile browsers"
            }
        ],
        "improved recipes": [
            "The Guardian and The Observer",
            "Wall Street Journal",
            "The Atlantic"
        ],
        "new recipes": []
    },
    {
        "version": "5.24.0",
        "date": "2021-07-30",
        "new features": [
            {
                "title": "Conversion: Insert metadata as jacket: Allow adding timestamp and publisher fields. Also allow controlling the formatting of date/time fields"
            },
            {
                "tickets": [
                    1937025
                ],
                "title": "Cover browser: Add an option to view the central book by double clicking instead of single clicking (Preferences->Look & feel->Cover browser)"
            },
            {
                "tickets": [
                    1936891
                ],
                "title": "Tag browser: Add actions to the configure menu to toggle the display of counts and average rating"
            },
            {
                "tickets": [
                    1936472
                ],
                "title": "Tag browser: Allow plugins to add entries to the context menu"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1938189
                ],
                "title": "fetch-ebook-metadata: Fix an error when using the --cover option and no cover is found"
            },
            {
                "tickets": [
                    1936792
                ],
                "title": "HTML Input: Fix the presence of BookDesigner markup causing conversion to fail"
            },
            {
                "tickets": [
                    1936184
                ],
                "title": "TXT Input: Do not fail if the txt file references a directory as a resource"
            }
        ],
        "improved recipes": [
            "MSNBC",
            "Nature News",
            "Boston Globe",
            "Foreign Policy",
            "Le Monde"
        ],
        "new recipes": []
    },
    {
        "version": "5.23.0",
        "date": "2021-07-09",
        "new features": [
            {
                "tickets": [
                    1934204
                ],
                "title": "Annotations browser: Show highlight color in the preview panel"
            },
            {
                "title": "TXTZ format: Store type of text formatting in the metadata and use it automatically when converting from TXTZ"
            },
            {
                "tickets": [
                    1934043
                ],
                "title": "Edit metadata dialog: Allow holding Ctrl and clicking the item editor buttons to instead open the manage dialog"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1929325
                ],
                "title": "Annotations browser: Fix searching for words in languages such as Chinese that do not have word delimiters not working"
            },
            {
                "title": "News download: Fix URLs with spaces in them not being downloaded since calibre 5.0"
            },
            {
                "tickets": [
                    1933989
                ],
                "title": "When searching for books by an author from the manage authors dialog, use exact matches"
            },
            {
                "tickets": [
                    1933797
                ],
                "title": "MOBI Output: Fix invalid color specification as plain numbers causing conversion to fail"
            },
            {
                "tickets": [
                    1933684
                ],
                "title": "MOBI Output: Fix invalid text indent specification causing conversion to fail"
            },
            {
                "title": "Linux: Drop the unmaintained dbus-python in favor of jeepney for DBUS"
            },
            {
                "title": "Edit book: Workaround for Qt bug that caused the panel sizes in the editor to not be remembered across sessions"
            }
        ],
        "improved recipes": [
            "The Guardian and the Observer",
            "National Geographic",
            "Handelsblatt",
            "Huffington Post"
        ],
        "new recipes": []
    },
    {
        "version": "5.22.1",
        "date": "2021-06-25",
        "new features": [
            {
                "tickets": [
                    1931646
                ],
                "title": "E-book viewer: Allow clicking links in popup footnotes"
            },
            {
                "title": "Main book list: Scroll per pixel rather than per item by default. Can be returned to previous behavior via Preferences->Tweaks->Control behavior of book list"
            },
            {
                "title": "Linux: Drop support for the global menu bar"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1932152
                ],
                "title": "E-book viewer: Fix font sizes specified in absolute units not being honored in locales where the decimal separator is not the period"
            },
            {
                "tickets": [
                    1931566
                ],
                "title": "E-book viewer: Fix searching for short strings in text with lots of similar entries displaying incorrect matches"
            },
            {
                "tickets": [
                    1932392
                ],
                "title": "MOBI Output: Fix using percentage units for margins resulting in too large margins when using the tablet output profile"
            },
            {
                "tickets": [
                    1931599
                ],
                "title": "E-book viewer: Fix back button not working after jumping to a bookmark"
            },
            {
                "tickets": [
                    1932992
                ],
                "title": "Content server: OPDS feed: Fix incorrect up URL in category group feeds"
            },
            {
                "tickets": [
                    1933559
                ],
                "title": "Content server: Fix a regression in the previous release that broke editing of series metadata"
            },
            {
                "title": "E-book viewer: Fix scrolling backwards by screen-fulls not working with very large page margins."
            },
            {
                "title": "MOBI Input: Fix a regression in calibre 5 that broke processing of Haodoo format files"
            },
            {
                "title": "Conversion: Fix the smarten punctuation option not applying to inserted jacket page"
            },
            {
                "title": "5.22.1 fixes a typo in the previous release that broke device detection on Linux"
            }
        ],
        "improved recipes": [
            "TheAtlantic.com",
            "Hindu",
            "People Daily"
        ],
        "new recipes": []
    },
    {
        "version": "5.21.0",
        "date": "2021-06-11",
        "new features": [
            {
                "title": "Driver for the new Kobo Ellipsa"
            },
            {
                "tickets": [
                    1930958
                ],
                "title": "Content server: When editing metadata for fields that take multiple values, make it easier to remove individual values by simply tapping a button"
            },
            {
                "tickets": [
                    1930900
                ],
                "title": "Browser viewer: Make current color scheme setting propagate to all devices automatically when using user accounts"
            },
            {
                "title": "E-book viewer: Image popup: Show the image resolution in the popup window's titlebar"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1930922
                ],
                "title": "HTML Input: Fix handling of @import rules in stylesheets nested more than one level deep"
            },
            {
                "tickets": [
                    1930912
                ],
                "title": "Fix viewer search context menu to clear searches not clearing search settings"
            },
            {
                "title": "E-book viewer image popup: Fix full screen button in incorrect state when starting in full screen"
            }
        ],
        "improved recipes": [
            "Associated Press",
            "The Hindu"
        ],
        "new recipes": []
    },
    {
        "version": "5.20.0",
        "date": "2021-06-04",
        "new features": [
            {
                "title": "E-book viewer: Highlights: Make URLs in the notes for highlights clickable"
            },
            {
                "tickets": [
                    1930136
                ],
                "title": "Book details: Ctrl-clicking on tags now adds them to the existing search instead of replacing it"
            },
            {
                "title": "E-book viewer: Allow using the back button to return from jumping to a search result"
            }
        ],
        "bug fixes": [
            {
                "title": "Get books: Fix the Kobo store plugin for changes to the website"
            },
            {
                "tickets": [
                    1929827
                ],
                "title": "Edit book: Fix non breaking spaces in snippets being converted to normal spaces"
            },
            {
                "tickets": [
                    1930466
                ],
                "title": "ToC Editor: Fix a regression that caused changes to not be saved on machines where running a worker process takes more than ten seconds"
            },
            {
                "title": "Fix error when changing the \"Search the net\" URLs for the Content server"
            }
        ],
        "improved recipes": [
            "Jerusalem Post",
            "Popular Science",
            "Ambito Financiero",
            "Ambito.com",
            "Infobae"
        ],
        "new recipes": []
    },
    {
        "version": "5.19.0",
        "date": "2021-05-28",
        "new features": [
            {
                "title": "E-book viewer: Add a preference under Scrolling behavior to reverse the tap zones used to turn pages. So tapping on the left goes forward and the right backward"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1929862
                ],
                "title": "E-book viewer: Fix regression in 5.15 that caused incorrect display of font sizes that contain a period and use absolute units"
            },
            {
                "tickets": [
                    1929240
                ],
                "title": "PDF Output: Fix font kerning issues with some TrueType fonts"
            },
            {
                "tickets": [
                    1929267
                ],
                "title": "Edit book: Fix a regression in 5.18 that broke editing/creating saved searches"
            },
            {
                "tickets": [
                    1919025
                ],
                "title": "Windows: Fix for standalone ToC Editor not working on systems where Qt WebEngine causes a crash at exit"
            },
            {
                "title": "Windows MTP driver: When scanning an MTP device such as an Android phone ignore folders that Windows fails to enumerate instead of failing with an error"
            },
            {
                "title": "ToC Editor: Fix a regression that broke choosing split points in some XHTML files"
            },
            {
                "tickets": [
                    1929465
                ],
                "title": "PDB Input: Fix a regression in calibre 5 that broke processing some plucker format PDB files"
            },
            {
                "title": "Edit book: Fix sorting in spell check dialog on language broken for books that have unknown languages"
            },
            {
                "title": "Annotations browser: Fix a typo that broke sorting for highlights"
            },
            {
                "tickets": [
                    1909730
                ],
                "title": "Annotations browser: When showing a highlight preserve paragraph boundaries for multi-paragraph highlights"
            },
            {
                "title": "Viewer highlights panel: Fix the \"Edit notes\" link not saving the changes"
            },
            {
                "tickets": [
                    1929164
                ],
                "title": "E-book viewer: When using a right click/shift-click to adjust the selection, move the section boundary that is closer to the click point",
                "description": ""
            }
        ],
        "improved recipes": [],
        "new recipes": []
    },
    {
        "version": "5.18.0",
        "date": "2021-05-21",
        "new features": [
            {
                "title": "Content server viewer: Improved search functionality",
                "description": "Searching can now be done for whole words and regular expressions. And all search results are listed at once with some context for easy navigation."
            },
            {
                "tickets": [
                    1928596
                ],
                "title": "E-book viewer: Allow making the image popup full screen"
            },
            {
                "title": "E-book viewer: Allow expanding/collapsing all items in the Table of Contents at a particular level by right clicking on one item of that level and choosing the option to expand/collapse"
            },
            {
                "title": "E-book viewer: Add shortcuts shift+home and shift+end to extend current selection to start/end of line"
            },
            {
                "tickets": [
                    1927520
                ],
                "title": "Book details: When creating rules to convert identifiers to URLs allow using {id_unquoted} to avoid quoting the identifier value"
            },
            {
                "tickets": [
                    1927062
                ],
                "title": "Review downloaded metadata: Allow double clicking on a cover to see it at a larger size"
            },
            {
                "tickets": [
                    1927012
                ],
                "title": "Annotations browser: Add a Refresh button"
            }
        ],
        "bug fixes": [
            {
                "title": "Edit book: Fix ctrl-clicking on a class name jumping to the wrong CSS rule if the stylesheet contains top level comments"
            },
            {
                "tickets": [
                    1928579
                ],
                "title": "Fix search and replace on identifiers not working if the replaced value has colons"
            },
            {
                "tickets": [
                    1922691
                ],
                "title": "Annotations browser: Sort the entries in order of position in book"
            },
            {
                "title": "ToC editor: Dark mode: Fix colors in location selection panel not dark"
            },
            {
                "tickets": [
                    1926793
                ],
                "title": "E-book viewer: Fix right or shift-clicking to extend selection not shrinking selection when the click is inside the selection"
            },
            {
                "tickets": [
                    1927546
                ],
                "title": "Avoid spurious errors on multiple simultaneous calibre launches"
            },
            {
                "tickets": [
                    1925961
                ],
                "title": "E-book viewer: Ignore mouse scroll events that would turn pages when editing notes"
            },
            {
                "title": "E-book viewer: Fix sorting bookmarks by title not working"
            },
            {
                "title": "Windows WPD driver: Fix an error reading the filesystem on some MTP based devices"
            }
        ],
        "improved recipes": [
            "IEEE Spectrum"
        ],
        "new recipes": []
    },
    {
        "version": "5.17.0",
        "date": "2021-04-30",
        "new features": [
            {
                "tickets": [
                    1926484
                ],
                "title": "E-book viewer: Image popup: Allow dragging with the mouse to pan the image"
            },
            {
                "tickets": [
                    1923724
                ],
                "title": "Sort button: Allow selecting which columns are in the popup sort menu"
            },
            {
                "tickets": [
                    1851908
                ],
                "title": "E-book viewer: When suggesting a default bookmark title, use the name of the current chapter"
            },
            {
                "tickets": [
                    1925038
                ],
                "title": "E-book viewer: When searching the Table of Contents allow holding the Shift key to search backwards"
            },
            {
                "tickets": [
                    1925294
                ],
                "title": "E-book viewer: Add a shortcut Ctrl+0 to restore default font size"
            }
        ],
        "bug fixes": [
            {
                "title": "Windows MTP driver: Rewrite parts of the driver in the hope of fixing some rare and hard to reproduce crashes"
            },
            {
                "title": "Windows MTP driver: Set modified and created times when putting files/folders on device. Also read modified time correctly."
            },
            {
                "tickets": [
                    1918591
                ],
                "title": "Windows: E-book viewer: Fix switching away from viewer while in full screen and switching back causing some corruption until the page is scrolled"
            },
            {
                "tickets": [
                    1925378
                ],
                "title": "Fix a regression in the previous release that caused errors when editing empty date values"
            },
            {
                "title": "Get books: Update Gutenberg plugin for website changes"
            },
            {
                "tickets": [
                    1926518
                ],
                "title": "E-book viewer: The quick highlight button should replace the style of an existing highlight, when one is selected"
            },
            {
                "tickets": [
                    1925247
                ],
                "title": "Elide long items in the middle when showing the completion popup for tags, to make it easier to use with hierarchical tags"
            },
            {
                "tickets": [
                    1925988
                ],
                "title": "E-book viewer: Read aloud: Fix soft hyphens causing read aloud words to be broken up"
            },
            {
                "tickets": [
                    1925390
                ],
                "title": "E-book viewer: Right clicking when text is selected should extend the selection instead of doing nothing"
            },
            {
                "title": "Fix settings in the ToC Editor tool being forgotten when calibre is closed"
            },
            {
                "tickets": [
                    1926025
                ],
                "title": "DOCX Output: Fix conversion failing if the input document has missing images"
            },
            {
                "tickets": [
                    1925961
                ],
                "title": "Content server viewer: Fix mouse wheel scrolling not working on the box used to edit notes for highlights"
            },
            {
                "title": "E-book viewer: Fix read aloud word tracking in flow mode not very reliable"
            },
            {
                "title": "E-book viewer: Fix navigation shortcuts not working in Read aloud mode"
            }
        ],
        "improved recipes": [
            "Barrons",
            "Krebs On Security"
        ],
        "new recipes": []
    },
    {
        "version": "5.16.1",
        "date": "2021-04-17",
        "new features": [],
        "bug fixes": [
            {
                "tickets": [
                    1924703
                ],
                "title": "CHM Input: Fix handling of some CHM files that use non-ASCII internal filenames and don't specify a character encoding in their metadata"
            },
            {
                "tickets": [
                    1924824
                ],
                "title": "Fix a regression in the previous release that prevented calibre from starting if there was a failure in a third party plugin"
            },
            {
                "title": "Content server viewer: Fix a regression in the previous that broke handling of URLs in stylesheets"
            },
            {
                "tickets": [
                    1924767
                ],
                "title": "Fix a regression in the previous release that broke changing sections in the convert single book dialog after changing the input or output formats"
            },
            {
                "tickets": [
                    1924675
                ],
                "title": "Fix using 'is set' rules not working for column rules with rating values"
            },
            {
                "title": "E-book viewer: Fix a regression in 5.15 that causes the viewer to ignore page-break CSS properties (in 5.16.1)"
            },
            {
                "title": "Fix a regression that broke using stored templates (in 5.16.1)"
            },
            {
                "tickets": [
                    1924875
                ],
                "title": "Fix auto scroll books shortcut not working in standalone cover browser window (in 5.16.1)"
            },
            {
                "tickets": [
                    1924890
                ],
                "title": "E-book viewer: Fix jumping to previous section sometimes not working in flow mode (in 5.16.1)"
            },
            {
                "tickets": [
                    1924853
                ],
                "title": "E-book viewer: Fix a regression in 5.15 that broke changing keyboard shortcuts in the viewer preferences (in 5.16.1)"
            },
            {
                "title": "E-book viewer: Fix a regression in 5.15 that broke using the delete key to delete highlights (in 5.16.1)"
            }
        ],
        "improved recipes": [
            "Granta",
            "New Scientist"
        ],
        "new recipes": [
            {
                "title": "The Saturday paper",
                "author": "Alistair Francis"
            },
            {
                "title": "Crikey",
                "author": "Alistair Francis"
            }
        ]
    },
    {
        "version": "5.15.0",
        "date": "2021-04-16",
        "new features": [
            {
                "tickets": [
                    1917634
                ],
                "title": "Allow auto scrolling through the list of books by pressing the X key or right clicking on the cover browser",
                "description": "Useful to have a \"slideshow\" of book covers. The speed of scrolling can be controlled in Preferences->Look & feel->Cover browser"
            },
            {
                "title": "E-book viewer: Speed up first time open for EPUB files with lots of styling"
            },
            {
                "title": "E-book viewer preferences: Allow searching for keyboard shortcuts"
            },
            {
                "title": "Edit book: Allow editing WEBP images"
            },
            {
                "title": "Various improvements to the template language, see https://www.mobileread.com/forums/showthread.php?t=337573"
            },
            {
                "tickets": [
                    1921610
                ],
                "title": "E-book viewer: Show the current progress percentage in the bottom bar of the viewer controls. This can be customized in the viewer preferences under Headers and footers"
            },
            {
                "tickets": [
                    1921689
                ],
                "title": "E-book viewer: Add an option under Preferences->Miscellaneous to not restore open panels such as Search, Table of Contents etc on restart"
            },
            {
                "title": "When exporting highlights as text or markdown also output top level chapter titles"
            },
            {
                "tickets": [
                    1922327
                ],
                "title": "Allow downloading metadata from amazon.se"
            },
            {
                "tickets": [
                    1922591
                ],
                "title": "Preferences->Tweaks: Allow specifying that calibre should open the book details window when double clicking on a book"
            },
            {
                "tickets": [
                    1922341
                ],
                "title": "MOBI Output: Convert WebP images to PNG so they work with Amazon's software"
            },
            {
                "tickets": [
                    1921793
                ],
                "title": "DOCX Input: When converting embedded fonts, replace spaces in the filename with underscores to keep the execrable epubcheck happy"
            },
            {
                "title": "E-book viewer: Selection bar: Add keyboard shortcuts for all buttons. Hover over a button in the bar to see the shortcut"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1924232
                ],
                "title": "FB2 Output: Fix a regression in calibre 5 that caused paragraphs containing only non-breaking spaces to be removed"
            },
            {
                "tickets": [
                    1924187
                ],
                "title": "Metadata comments editor: Fix setting block alignment destroying other block level properties"
            },
            {
                "title": "E-book viewer: Fix margins not being adjusted immediately when preferences are changed"
            },
            {
                "tickets": [
                    1921604
                ],
                "title": "Edit book: Upgrade book internals: Fix skipping the NCX removal dialog not remembering the chosen option"
            },
            {
                "tickets": [
                    1922570
                ],
                "title": "Conversion: When specifying a line-height do not apply it to the <html> tag, as it is pointless and causes the execrable epubcheck to complain"
            },
            {
                "title": "E-book viewer: Improve scrolling behavior when extending the selection using keyboard shortcuts"
            },
            {
                "title": "E-book viewer: Fix read percent for HTML files that are rendered in a single screen being 0% rather than 100%"
            },
            {
                "tickets": [
                    1924598
                ],
                "title": "E-book viewer: Highlights panel: Do not expand all sections when adding/deleting/modifying highlights"
            },
            {
                "tickets": [
                    1922503
                ],
                "title": "CHM Input: Fix a regression in calibre 5.0 that broke opening of some files that don't specify a character encoding"
            },
            {
                "title": "EPUB2 metadata: Read ISBNs in identifier elements without schemes if they are valid ISBNs and no properly identified isbns are present"
            },
            {
                "tickets": [
                    1922309
                ],
                "title": "Update Amazon metadata plugin for changes to amazon websites"
            },
            {
                "title": "Edit book: Fix detection of class names containing hyphens/underscores"
            }
        ],
        "improved recipes": [
            "New Scientist",
            "Irish Times",
            "1843",
            "The Straits Times"
        ],
        "new recipes": [
            {
                "title": "Los Danieles \u2013 Columnas sin techo",
                "author": "CAVALENCIA"
            }
        ]
    },
    {
        "version": "5.14.0",
        "date": "2021-03-26",
        "new features": [
            {
                "title": "Edit book: When right clicking on a class in a HTML file, add an option to rename the class throughout the book"
            },
            {
                "tickets": [
                    1919103
                ],
                "title": "Adding from ISBN: Add an option to check if there are existing books with the specified ISBNs already in the library"
            },
            {
                "tickets": [
                    1920576
                ],
                "title": "Template tester: Instead of next/last, the template tester now shows the template values for selected books"
            },
            {
                "tickets": [
                    1918047
                ],
                "title": "Content server: Allow swiping left and right to show next/previous book on the book details page"
            },
            {
                "tickets": [
                    1919072
                ],
                "title": "E-book viewer: Make the commonly used Shift+Arrow key shortcuts for modifying selections using the keyboard work. Also add shortcuts for selecting by character, line and paragraph."
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1920613
                ],
                "title": "MOBI Output: Fix latest Kindle firmware not displaying select publisher font option for calibre produced AZW3 files"
            },
            {
                "tickets": [
                    1919033
                ],
                "title": "E-book viewer: Fix errors when viewing books with mathematics that are split over multiple internal files"
            },
            {
                "tickets": [
                    1918436
                ],
                "title": "Content server viewer: Fix highlights not sorted correctly in the highlights panel"
            },
            {
                "tickets": [
                    1918737
                ],
                "title": "Get books: Fix Smashwords plugin not working because of website changes"
            },
            {
                "tickets": [
                    1920733
                ],
                "title": "Improve the performance of QuickView especially when using composite columns"
            },
            {
                "tickets": [
                    1918428
                ],
                "title": "Improve performance of the virtual_libraries() template function"
            },
            {
                "tickets": [
                    1920250
                ],
                "title": "Browser viewer: Fix Go to Location not working for positions"
            },
            {
                "tickets": [
                    1905257
                ],
                "title": "E-book viewer: Fix searching in the Table of Contents not working"
            },
            {
                "tickets": [
                    1918105
                ],
                "title": "E-book viewer: In paged mode, fix scrolling not working correctly when margins are set to zero"
            },
            {
                "tickets": [
                    1918437
                ],
                "title": "E-book viewer: Fix incorrect ToC navigation in books that link the entries to inline tags that wrap block tags that span multiple pages"
            },
            {
                "tickets": [
                    1920592
                ],
                "title": "Category editor: Searching in library shouldn't automatically open Quickview"
            },
            {
                "tickets": [
                    1919260
                ],
                "title": "Conversion: Fix a hang caused by long sequences of non-word characters when heuristics are enabled, either explicitly or for some input formats such as TXT"
            },
            {
                "title": "Fix a regression in calibre 5 that broke --explode-book and --implode-book actions for calibre-debug.exe"
            },
            {
                "title": "Fix a regression in calibre 5 that broke setting metadata in RTF files"
            }
        ],
        "improved recipes": [],
        "new recipes": [
            {
                "title": "ZackZack.at",
                "author": "Dirk Gomez"
            }
        ]
    },
    {
        "version": "5.13.0",
        "date": "2021-03-10",
        "new features": [
            {
                "tickets": [
                    1917967
                ],
                "title": "E-book Viewer: Allow editing the current book by pressing Ctrl+D or adding a button for it to the viewer tool bar"
            },
            {
                "title": "Edit book: Add a command line flag to allow selecting the specified text when opening a book"
            },
            {
                "tickets": [
                    1917363
                ],
                "title": "Edit metadata dialog: When trimming covers, show the size of the current trim region"
            }
        ],
        "bug fixes": [
            {
                "title": "Fix a regression in the previous release that broke sending of emails with text longer than 900 characters"
            },
            {
                "title": "E-book viewer: Fix using keyboard to extend selection not turning pages"
            },
            {
                "tickets": [
                    1918030
                ],
                "title": "Fix searching for items from the Manage dialog not working correctly"
            },
            {
                "tickets": [
                    1917386
                ],
                "title": "PDF input: Replace paragraph separator characters with spaces"
            }
        ],
        "improved recipes": [
            "The Conversation"
        ],
        "new recipes": []
    },
    {
        "version": "5.12.0",
        "date": "2021-02-26",
        "new features": [
            {
                "tickets": [
                    1915773
                ],
                "title": "E-book viewer: When searching start the search from the current position, jumping to the first match at or after the current page"
            },
            {
                "tickets": [
                    1916411
                ],
                "title": "E-book viewer: Have the Table of Contents view automatically scroll to keep the chapter being read currently visible"
            },
            {
                "title": "Various improvements to the calibre template language, see https://www.mobileread.com/forums/showthread.php?t=337573"
            },
            {
                "title": "Edit book: File browser: Show total size of items in category when hovering over category with mouse"
            },
            {
                "title": "Kobo driver: Add support for latest firmware and also an option to choose the color used for cover letterboxing"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1915685
                ],
                "title": "E-book viewer: Fix selection popup bar sometimes going off screen when dragging up to the top line of text"
            },
            {
                "title": "Get books: Update the Biblio and Chitanka stores for website changes"
            },
            {
                "tickets": [
                    1915770
                ],
                "title": "Edit book: Fix editing of JavaScript files not working"
            }
        ],
        "improved recipes": [
            "Slate",
            "Harper's Magazine"
        ],
        "new recipes": []
    },
    {
        "version": "5.11.0",
        "date": "2021-02-12",
        "new features": [
            {
                "tickets": [
                    1912958
                ],
                "title": "Edit book: Add a tool to split the tag at the current cursor position, creating a new tag with the same style and class attributes. To add the tool go to the Toolbars section in the editor preferences"
            },
            {
                "tickets": [
                    1911107
                ],
                "title": "E-book viewer: Show the URL when hovering over external links"
            },
            {
                "title": "E-book viewer: Redesign the reference mode to also work on touch screens without a mouse. Now in reference mode paragraph numbers are displayed for all paragraphs"
            },
            {
                "title": "Edit book: Allow Ctrl-clicking on class names to jump to the first style rule that matches the tag and class"
            },
            {
                "title": "Content server: When browsing highlights for a book allow selecting multiple highlights to delete or export quickly"
            },
            {
                "tickets": [
                    1912954
                ],
                "title": "Allow creating keyboard shortcuts to copy show and view URLs for selected books to clipboard"
            },
            {
                "title": "calibredb: Add a timeout option to control the timeout when connecting to the calibre server"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1913854
                ],
                "title": "Content server: Fix dragging selection handles not working in Safari"
            },
            {
                "tickets": [
                    1915303
                ],
                "title": "E-book viewer: Fix links with a href of \"#\" not working"
            },
            {
                "title": "E-book viewer: Hide the controls when clicking the back or forward buttons"
            },
            {
                "tickets": [
                    1914921
                ],
                "title": "E-book viewer: When jumping to a highlight using the highlights panel, the back button should return to position before jump"
            },
            {
                "tickets": [
                    1914157
                ],
                "title": "E-book viewer: Fix incorrect tooltip when hovering over a section title in the search results list"
            },
            {
                "title": "HTMLZ Output: Fix a regression in calibre 5 that broke creating HTMLZ documents when using the option to place CSS inline"
            }
        ],
        "improved recipes": [
            "Endgadget"
        ],
        "new recipes": []
    },
    {
        "version": "5.10.1",
        "date": "2021-01-22",
        "new features": [
            {
                "tickets": [
                    1911888
                ],
                "title": "Bulk metadata edit: Add a new control to compress the cover image files for all selected books"
            },
            {
                "tickets": [
                    1912212
                ],
                "title": "Add support for the CB7 comic file file format"
            },
            {
                "tickets": [
                    1912070
                ],
                "title": "E-book viewer: Allow adding a button to the selection bar that copies the currently selected text along with a calibre:// URL to show the text in the book"
            },
            {
                "title": "Conversion: Insert metadata: Allow showing identifiers such as ISBN in the jacket page template"
            },
            {
                "title": "Conversion: Insert metadata: Allow hiding entries in the jacket template when they are not present in the metadata"
            },
            {
                "tickets": [
                    1912337
                ],
                "title": "calibre-server --manage-users: Add a scriptable interface: calibre-server --manage-users -- help"
            },
            {
                "tickets": [
                    1912070
                ],
                "title": "E-book viewer: Add keyboard shortcuts to copy the current location to the clipboard"
            },
            {
                "tickets": [
                    1912003
                ],
                "title": "E-book viewer: Highlight all currently visible Table of Contents entries, not just the first"
            },
            {
                "title": "Add a new tweak under Preferences->Tweaks->Author sort name algorithm to optionally recognize common surname prefixes such as von, van, de, etc. when generating sort names."
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1911470
                ],
                "title": "E-book viewer: Move read aloud pop-up bar to the bottom of the screen in flow mode"
            },
            {
                "tickets": [
                    1911218
                ],
                "title": "E-book viewer: Fix scrolling with two fingers on touch pad on macOS not smooth"
            },
            {
                "tickets": [
                    1911466
                ],
                "title": "PDF Output: When converting fixed layout input documents fix anchors inserted for navigation sometimes being rendered as blue boxes"
            },
            {
                "tickets": [
                    1904350
                ],
                "title": "Edit book: Remove unused CSS: Fix selectors that don't match from CSS rules containing multiple selectors not being removed"
            },
            {
                "title": "Bulk metadata download: Fix series number not being changes if the series is the same as the existing series"
            },
            {
                "title": "E-book viewer: Fix a regression that caused non-HTML descriptions to not be displayed in the metadata page"
            },
            {
                "title": "E-book viewer: Fix clock being displayed in 24 hr format on some systems even though system locale is set to use 12 hr format."
            },
            {
                "title": "Bulk metadata edit: Fix regression that inverted the meaning of the case sensitivity setting in the Search & replace tab"
            },
            {
                "title": "calibredb list: Fix incorrect output when redirecting to file"
            },
            {
                "title": "5.10.1 fixes a regression in 5.10.0 that broke conversion when including metadata as a jacket page and using long text custom columns"
            }
        ],
        "improved recipes": [
            "Jacobin",
            "Japan Times",
            "The Wall Street Journal",
            "Mediapart"
        ],
        "new recipes": []
    },
    {
        "version": "5.9.0",
        "date": "2021-01-08",
        "new features": [
            {
                "title": "Annotations: Allow exporting highlights and bookmarks in Markdown format, with a link to open the book at the highlight location"
            },
            {
                "tickets": [
                    1909529
                ],
                "title": "Content server viewer: Allow exporting all highlights"
            },
            {
                "tickets": [
                    1909339
                ],
                "title": "Icon rules editor: Add a button to open the icons folder"
            },
            {
                "tickets": [
                    1909258
                ],
                "title": "Quickview: Dropdown menu for all selectable columns"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1909880,
                    1906152
                ],
                "title": "Fix a regression that caused the Content server to crash if a client closed a connection during a file transfer on macOS and Linux."
            },
            {
                "tickets": [
                    1909224
                ],
                "title": "LRF Output: Fix conversion broken in calibre 5 when font size rescaling is active"
            },
            {
                "title": "E-book viewer: Cancel any speech in progress when hiding the selection popup bar after triggering the speak aloud action on it"
            },
            {
                "tickets": [
                    1909332
                ],
                "title": "Color/icon rules editor: Fix duplicate rule button not working correctly"
            },
            {
                "tickets": [
                    1909291
                ],
                "title": "Fix dropping files onto Book details causing an error if the confirmation dialog is disabled"
            }
        ],
        "improved recipes": [
            "General Knowledge Today",
            "El Pais",
            "USA Today",
            "WirtchaftsWoche Online",
            "The Guardian",
            "Arcamax",
            "Miami Herald",
            "The Seattle Times"
        ],
        "new recipes": [
            {
                "title": "Mallorca Zeitung",
                "author": "VoHegg"
            },
            {
                "title": "T-Online",
                "author": "VoHegg"
            },
            {
                "title": "El Diario",
                "author": "Dirk G\u00f3mez"
            }
        ]
    },
    {
        "version": "5.8.1",
        "date": "2020-12-24",
        "new features": [
            {
                "title": "Happy holidays to all calibre users!"
            },
            {
                "title": "E-book viewer: Add a mode to follow links with only the keyboard (triggered by Alt+F)"
            },
            {
                "tickets": [
                    1908929
                ],
                "title": "Edit book: A new option to show a configurable number lines above the current line when syncing the position of the preview panel to the current position in the code editor (under Preview settings in the Editor preferences)."
            },
            {
                "tickets": [
                    1907410
                ],
                "title": "Windows: Automatically resolve shortcuts (.lnk files) when adding books to calibre."
            },
            {
                "title": "Content server viewer: Don't enter full screen mode automatically when reading on desktop like devices (this can be controlled via a setting in the viewer preferences under Page layout)"
            },
            {
                "title": "E-book viewer tool bar: Add a select all action and a Read aloud action (can be added by right clicking the tool bar and configuring it)"
            },
            {
                "title": "Template/formatter enhancements: Add a 'for' statement and add the ability for a developer to pass extra information to a template."
            },
            {
                "tickets": [
                    1907919,
                    1907918
                ],
                "title": "Rules editors for icon/coloring rules: Add a button to duplicate rules and to convert a rule to advanced template mode"
            }
        ],
        "bug fixes": [
            {
                "title": "Content server viewer: Fix regression in 5.0 that broke scrolling on iOS"
            },
            {
                "tickets": [
                    1908000
                ],
                "title": "E-book viewer: Fix error when scrolling to some search results in flow mode"
            },
            {
                "tickets": [
                    1898394
                ],
                "title": "AZW3 Input: Fix rare AID based links not working."
            },
            {
                "tickets": [
                    1907907
                ],
                "title": "E-book viewer: Fix clock in header/footer not using system time format"
            },
            {
                "title": "Windows: Fix Read aloud not working with books that have a single large internal text file, such as MOBI or DOCX books"
            },
            {
                "title": "PDF Output: Fix a regression causing conversion to fail when typesetting Chinese text"
            },
            {
                "title": "Amazon metadata download: Fix no results being found when using the automatic or Google servers because of a change in the markup of the Google search results page."
            },
            {
                "tickets": [
                    1909217,
                    1909197
                ],
                "title": "Version 5.8.1 fixes a couple of regressions that broke the Save to disk function and changing Page layout settings in the viewer."
            }
        ],
        "improved recipes": [
            "The Australian",
            "The Atlantic",
            "Zerohedge",
            "New York Times Book Review"
        ],
        "new recipes": [
            {
                "title": "SchwarzerPfeil",
                "author": "tastytea"
            },
            {
                "title": "Substack",
                "author": "topynate"
            }
        ]
    },
    {
        "version": "5.7.2",
        "date": "2020-12-12",
        "new features": [
            {
                "type": "major",
                "title": "E-book viewer: Add a \"Read aloud\" function that works via the operating system's Text-to-speech engine.",
                "description": "Click the \"Read aloud\" button in the viewer controls to start reading the book text aloud from the current page."
            },
            {
                "title": "A new busy spinner for waiting animations"
            },
            {
                "tickets": [
                    1907140
                ],
                "title": "Edit metadata: Add buttons to easily set yes/no fields also shortcut to clear the field."
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1905967
                ],
                "title": "PDF Output: Fix a regression in the previous release that broke text rendering for some fonts due to a bug in Qt WebEngine (full fix is in 5.7.2)."
            },
            {
                "tickets": [
                    1905736
                ],
                "title": "PDF Output: Fix conversion failing when adding header/footer and the input document defines margins/padding on the <html> tag."
            },
            {
                "tickets": [
                    1907159
                ],
                "title": "Windows: Fix the case of library names in copied calibre:// links sometimes incorrect."
            },
            {
                "tickets": [
                    1906459
                ],
                "title": "AZW3 Input: Fix a regression in calibre 5 that broke processing of files with inline flow replacements."
            },
            {
                "tickets": [
                    1906149
                ],
                "title": "Fix hiding and showing Book details panel changes its size by a pixel or two."
            },
            {
                "tickets": [
                    1907067
                ],
                "title": "Get books: Fix amazon.fr not working because of website changes."
            },
            {
                "title": "Bulk metadata search/replace: Fix text transform function not being applied to the test result in character mode"
            },
            {
                "tickets": [
                    1906464
                ],
                "title": "Book list: Improve rendering of column headers when they don't fit, by eliding them instead of just cutting off rendering."
            },
            {
                "tickets": [
                    1906063
                ],
                "title": "Fix template function \"first_non_empty\" fails if no argument evaluates non-empty"
            },
            {
                "tickets": [
                    1907773
                ],
                "title": "Fix regression in 5.7.0 causing failure to start if one of the previously used libraries had a stored path ending in a slash."
            }
        ],
        "improved recipes": [
            "The Guardian",
            "The Atlantic"
        ],
        "new recipes": []
    },
    {
        "version": "5.6.0",
        "date": "2020-11-27",
        "new features": [
            {
                "title": "Edit book: Show a non-modal popup for a few seconds to allow undoing file delete operations"
            },
            {
                "tickets": [
                    1903418
                ],
                "title": "Device books view: Add an action to the context menu to easily jump to the matching book in the calibre library view"
            },
            {
                "tickets": [
                    1903270
                ],
                "title": "Add ability to undo Generate cover in the Edit metadata screen, by long clicking the Generate cover button"
            },
            {
                "title": "Edit book: Allow adding tags to the list of tags for the insert tag button"
            },
            {
                "title": "calibredb add: New option --automerge to automatically merge duplicates"
            },
            {
                "tickets": [
                    1905646
                ],
                "title": "Add an edit notes action to the context menu in the viewer highlights panel"
            },
            {
                "tickets": [
                    1903333
                ],
                "title": "Content server viewer: Allow viewing images in a new window by right clicking them, matches the calibre builtin viewer behavior"
            },
            {
                "tickets": [
                    1903403
                ],
                "title": "Book details window: Allow opening the edit metadata window using either the keyboard shortcut or the context menu"
            },
            {
                "title": "Allow copying the current search as a calibre:// URL by right clicking the search box"
            },
            {
                "title": "Book details panel: Add entries to copy calibre:// links for the current book to the context menu"
            },
            {
                "title": "Edit book: Upgrade book: Ask whether to keep the NCX based Table of Contents"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1904310
                ],
                "title": "Windows: Fix calibre portable launcher not working correctly from root folder in calibre 5.5"
            },
            {
                "tickets": [
                    1904505
                ],
                "title": "macOS: Fix rendering of space after punctuation incorrect in Big Sur"
            },
            {
                "tickets": [
                    1905319
                ],
                "title": "DOCX Input: When converting images placed using the obsolete VML markup default them to being inline rather than block images"
            },
            {
                "tickets": [
                    1905479
                ],
                "title": "Metadata edit dialog: Fix keyboard shortcuts for bold/italic/underline not working when more than one comments editor widget is present on a single tab"
            },
            {
                "tickets": [
                    1905113
                ],
                "title": "When using calibre://show-book URLs and the book is not found, clear any Virtual library or search restriction and then show the book"
            },
            {
                "title": "macOS: Fix calibre:// URLs not working from other documents"
            },
            {
                "title": "Fix calibre:// URL search action not changing library if needed"
            },
            {
                "tickets": [
                    1904305
                ],
                "title": "annotation_count() template function displaying value for deleted annotations"
            },
            {
                "tickets": [
                    1905806
                ],
                "title": "Edit book: Fix syntax highlighting not recognizing ends-with selector"
            }
        ],
        "improved recipes": [
            "The BBC",
            "Folha de Sao Paolo",
            "Netzpolitik"
        ],
        "new recipes": []
    },
    {
        "version": "5.5.0",
        "date": "2020-11-13",
        "new features": [
            {
                "type": "major",
                "title": "Support the calibre:// URL scheme",
                "description": "Clicking on calibre:// URLs can be used to have calibre perform various actions. For details, see: https://manual.calibre-ebook.com/url_scheme.html"
            },
            {
                "title": "Viewer: Show calibre:// URL for current book in the Goto->Location panel"
            },
            {
                "tickets": [
                    1902518
                ],
                "title": "Edit book: Add an action to the right click menu for tabs to close tabs to the right of the current tab."
            },
            {
                "tickets": [
                    1902413
                ],
                "title": "Add ability to copy tag, publisher and author in Book details panel by right-clicking"
            },
            {
                "tickets": [
                    1902326
                ],
                "title": "Annotations browser: Add a context menu for common actions."
            },
            {
                "tickets": [
                    1899839
                ],
                "title": "Annotations browser: Show a dot for highlights with notes."
            },
            {
                "tickets": [
                    1902227
                ],
                "title": "Edit book: Saved searches panel: Allow copying the current saved search to the regular search panel by clicking the Export button."
            },
            {
                "title": "Windows: Fix command line arguments not working for the portable.exe launchers"
            },
            {
                "title": "Viewer: back and forward buttons on the mouse now trigger the back and forward actions"
            },
            {
                "tickets": [
                    1902313
                ],
                "title": "Option to mark all books with annotations/bookmarks"
            },
            {
                "title": "Various minor improvements to how keyboard focus is handled in the Tag browser"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1903294
                ],
                "title": "Edit book: Fix regression in calibre 5 that caused an error when managing user dictionaries."
            },
            {
                "tickets": [
                    1903831
                ],
                "title": "Viewer: Fix previous/next buttons iterating over removed bookmarks"
            },
            {
                "tickets": [
                    1903825
                ],
                "title": "Welcome wizard: Fix changing the language causing a empty folder to be created."
            },
            {
                "tickets": [
                    1903699
                ],
                "title": "Viewer: Fix regression causing custom shortcuts with Shift key pressed not working"
            },
            {
                "tickets": [
                    1903423
                ],
                "title": "Viewer: In dark mode when showing images with transparency in the popup use a light background color as most images are designed with a light background color in mind."
            },
            {
                "tickets": [
                    1903428
                ],
                "title": "Fix a regression in the previous release that broke conversion of DJVU files"
            },
            {
                "tickets": [
                    1903363
                ],
                "title": "Metadata edit: \"Set to Undefined\" button missing on integer columns."
            },
            {
                "tickets": [
                    1903086
                ],
                "title": "Entry remains underlined in Tag browser after clearing filter"
            },
            {
                "tickets": [
                    1902126
                ],
                "title": "XML Catalogs: Fix languages field missing"
            },
            {
                "title": "Fix a regression that broke loading of third party plugins that are encoded in an encoding other than UTF-8"
            },
            {
                "title": "macOS: Fix viewer not responding to cmd+c to copy text by default"
            },
            {
                "title": "Windows: Fix sending email on computers with non-ASCII computer names"
            }
        ],
        "improved recipes": [
            "Spectator Magazine"
        ],
        "new recipes": []
    },
    {
        "version": "5.4.2",
        "date": "2020-10-30",
        "new features": [
            {
                "tickets": [
                    1900761
                ],
                "title": "Windows: Allow adding of books to calibre from folders whose path length is larger than 260 characters"
            },
            {
                "title": "Tag browser: Add an option in Preferences->Look & feel->Tag browser to allow the tag browser to get keyboard focus"
            },
            {
                "title": "Tag browser: Allow editing the set of permissible values and colors for a custom column with fixed values, by right clicking on it."
            },
            {
                "title": "Edit metadata dialog: Make most custom metadata controls use only a single line.",
                "description": "Elide the names of custom columns that are longer than a fixed width, instead of using multiple lines. Configurable via Preferences->Tweaks->Edit metadata custom column label length"
            },
            {
                "title": "Edit book: Remove unused CSS: Add an option to merge CSS rules that have identical properties"
            },
            {
                "tickets": [
                    1901379
                ],
                "title": "Book details window: Double clicking on the cover now shows it in the default system image viewer."
            },
            {
                "tickets": [
                    1900874
                ],
                "title": "News download: Allow passing username/password in feed URLs."
            },
            {
                "tickets": [
                    1900890
                ],
                "title": "Open with: Allow renaming Open with applications."
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1900868
                ],
                "title": "Viewer: Fix jumping to search result not always working in flow mode."
            },
            {
                "title": "Get Books: Update Google and Gutenberg plugins for website changes"
            },
            {
                "tickets": [
                    1900946
                ],
                "title": "Viewer: Fix keyboard shortcuts using Ctrl+Alt+letter key not working on Windows."
            },
            {
                "tickets": [
                    1900942
                ],
                "title": "Viewer: Fix keyboard shortcuts to shrink/grow selection not working."
            },
            {
                "tickets": [
                    1900938
                ],
                "title": "Viewer: Fix keyboard shortcut to toggle highlights panel not working when the highlights panel is itself focused."
            },
            {
                "tickets": [
                    1900358
                ],
                "title": "Viewer: handle editing of missing highlights more gracefully"
            },
            {
                "tickets": [
                    1901289
                ],
                "title": "Drivers: Fix regression in calibre 5 that broke connecting to SONY devices"
            },
            {
                "tickets": [
                    1901276
                ],
                "title": "Open with: On Linux when reading names from .desktop files, use the first matching language"
            },
            {
                "tickets": [
                    1901593
                ],
                "title": "Conversion: Fix a regression in calibre 5 that broke conversion of some malformed CSS stylesheets."
            },
            {
                "tickets": [
                    1901957
                ],
                "title": "Conversion: Fix a regression in calibre 5 that broke processing of some PDB files with images."
            },
            {
                "tickets": [
                    1901278
                ],
                "title": "Conversion: Fix regression in calibre 5 in the handling of @import() rules in stylesheets that import from folders above themselves."
            },
            {
                "tickets": [
                    1901232,
                    1901230
                ],
                "title": "Content server: Fix various controls on the book details page not working when viewing a random book."
            },
            {
                "tickets": [
                    1901273
                ],
                "title": "Tag browser: Fix a crash when renaming a saved search to a value that already exists."
            },
            {
                "tickets": [
                    1900921
                ],
                "title": "Tag browser: Fix renaming of custom column with fixed set of values not working."
            },
            {
                "tickets": [
                    1901630
                ],
                "title": "Fix a regression in calibre 5 that broke auto-sync of generated catalogs to devices."
            },
            {
                "tickets": [
                    1901113
                ],
                "title": "Fix setting rating via ebook-meta command line tool broken in calibre 5."
            },
            {
                "tickets": [
                    1900099
                ],
                "title": "When boolean columns are set to bistate, checking \"show checkmarks\" results in all non-boolean values being shown as false"
            },
            {
                "title": "Spell check: Fix using non UTF-8 dictionaries broken in calibre 5"
            },
            {
                "title": "Fix a rare issue where restarting calibre from within the program would fail."
            },
            {
                "title": "Version 5.4.2 fixes bugs in 5.4.0 that prevented calibre from starting on macOS and from choosing save file names on Windows."
            }
        ],
        "improved recipes": [
            "Psychology Today",
            "Washington Post",
            "LifeHacker",
            "The Atlantic",
            "New York Review of Books"
        ],
        "new recipes": []
    },
    {
        "version": "5.3.0",
        "date": "2020-10-16",
        "new features": [
            {
                "title": "Tag browser: When grouping items by first letter if adjacent letters have few entries combine them into a single group.",
                "description": "Can be controlled via an option in Preferences->Look & feel->Tag browser to combine 'first letters' together if there are a small number of items under adjacent letters"
            },
            {
                "tickets": [
                    1899163
                ],
                "title": "Viewer: Allow displaying the current page / total pages in the header/footer. Useful in paged mode to see exactly how many pages are left."
            },
            {
                "tickets": [
                    1899834
                ],
                "title": "Viewer search panel: Show more result context in a tooltip when hovering over a search result."
            },
            {
                "title": "DOCX Input: Add support for Word controls used to rotate or flip images",
                "description": "Only works with output formats such as EPUB that support CSS transforms"
            },
            {
                "tickets": [
                    1899762
                ],
                "title": "Viewer image pop-up: Allow maximizing/minimizing the window."
            },
            {
                "title": "Edit metadata dialog: Use only a single line for custom column date fields"
            },
            {
                "tickets": [
                    1899341
                ],
                "title": "Add an item to search for categories to the category editor context menu."
            },
            {
                "tickets": [
                    1899316
                ],
                "title": "Category editor: Add a right click menu to change case of the selected entries."
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1898221
                ],
                "title": "Fix a regression in 5.0 that caused performance of dialogs that contain title/series/tags edit fields to be very poor with large libraries."
            },
            {
                "title": "Fix a regression in 5.0 that caused some pop-up menus to appear on the wrong monitor in multi-monitor setups"
            },
            {
                "title": "macOS: Fix a long standing bug that prevented drag and drop of multiple items"
            },
            {
                "title": "Windows: Fix a regression that broke scanning for default programs for the Open with action"
            },
            {
                "tickets": [
                    1898894
                ],
                "title": "Windows: Fix a regression in 5.0 causing some MOBI files with non-BMP characters not being processed correctly."
            },
            {
                "title": "E-book viewer: Fix scrolling past the end of chapter boundaries not working in books that have negative margins"
            },
            {
                "tickets": [
                    1899466
                ],
                "title": "Edit metadata dialog: fix incorrect rendering of custom column names that start with emoji."
            },
            {
                "tickets": [
                    1899318
                ],
                "title": "Quickview: Fix nothing shown after clearing the search."
            },
            {
                "tickets": [
                    1900022
                ],
                "title": "Dark mode: Fix radio buttons having no outline."
            },
            {
                "tickets": [
                    1900066
                ],
                "title": "Annotations browser: When showing a book in the calibre library that is not currently visible, display an error."
            }
        ],
        "improved recipes": [
            "Reuters"
        ],
        "new recipes": [
            {
                "title": "Deutsche Welle",
                "author": "VoHe"
            }
        ]
    },
    {
        "version": "5.2.0",
        "date": "2020-10-07",
        "new features": [
            {
                "tickets": [
                    1897354
                ],
                "title": "Browse annotations: Add a check box to restrict the displayed annotations to only the books currently selected in the calibre library."
            },
            {
                "title": "Allow storing and calling functions in the calibre template language (Preferences->Template functions)"
            },
            {
                "tickets": [
                    1897336
                ],
                "title": "Add a shortcut (Shift+V) to open the last read book."
            }
        ],
        "bug fixes": [
            {
                "title": "Fix import errors with some third party plugin on Windows"
            },
            {
                "tickets": [
                    1898598
                ],
                "title": "Viewer: Fix toolbar show controls button not working when no book is open."
            },
            {
                "tickets": [
                    1898577
                ],
                "title": "Viewer: Fix incorrect positioning of context menu for viewer toolbar."
            },
            {
                "title": "MOBI Input: Fix regression that broke reading of some documents"
            },
            {
                "title": "Bulk metadata search and replace: Fix some regular expression causing errors with the new regex engine"
            },
            {
                "title": "Fix a regression that broke application of plugboards when sending by e-mail"
            },
            {
                "tickets": [
                    1898441
                ],
                "title": "ODT Input: Fix a regression that broke conversion of ODT files with footnotes."
            },
            {
                "tickets": [
                    1898413
                ],
                "title": "Viewer: Fix mouse wheel not working while selection bar is visible"
            },
            {
                "title": "Viewer: Fix selection popup bar not always close to mouse when ending select-to-drag"
            },
            {
                "title": "Fix calibre-server not exiting on Ctrl+C on Windows"
            },
            {
                "tickets": [
                    1897410
                ],
                "title": "Content server OPDS feeds: Fix error if the metadata for a book contains particular Unicode characters."
            },
            {
                "tickets": [
                    1898167
                ],
                "title": "Edit book: Reports tool: Fix a regression that broke sorting."
            },
            {
                "title": "HTMLZ Output: Fix an error when converting a document that has SVG images",
                "description": ""
            }
        ],
        "improved recipes": [],
        "new recipes": []
    },
    {
        "version": "5.1.0",
        "date": "2020-10-02",
        "new features": [
            {
                "title": "Enhancement: allow using templates in search expressions"
            },
            {
                "tickets": [
                    1897435
                ],
                "title": "Viewer lookup panel: Add a checkbox to disable automatic update of lookup when the selected text changes."
            },
            {
                "tickets": [
                    1897415
                ],
                "title": "Viewer: Allow skipping the confirmation when using the remove highlight button in the popup bar."
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1897618
                ],
                "title": "ToC Editor: Fix bulk rename of entries not working"
            },
            {
                "tickets": [
                    1897571
                ],
                "title": "Linux: Fix right clicking on system tray icon not working"
            },
            {
                "tickets": [
                    1897356
                ],
                "title": "Fix User category based searches unreliable dues to caching issues"
            },
            {
                "title": "PDF Output: Don't fail if the input document has an html file identified as the cover"
            },
            {
                "tickets": [
                    1897467
                ],
                "title": "Catalog generation: Fix a regression that broke generating catalogs if books with no comments are present."
            },
            {
                "tickets": [
                    1897314
                ],
                "title": "Windows: Fix error on first run of calibre after install/upgrade"
            },
            {
                "title": "Viewer: Fix copy to clipboard button in toolbar not working"
            },
            {
                "tickets": [
                    1897297
                ],
                "title": "Viewer: Fix copy to clipboard not copying text as HTML to clipboard in addition to plain text"
            },
            {
                "tickets": [
                    1897409
                ],
                "title": "macOS: Fix some drop down menus such as in the ToC editor and cover generation in the Edit metadata dialog not working",
                "description": ""
            }
        ],
        "improved recipes": [],
        "new recipes": []
    },
    {
        "version": "5.0.1",
        "date": "2020-09-25",
        "new features": [
            {
                "type": "major",
                "title": "For details on the major changes in calibre between 4.0 and 5.0, see https://calibre-ebook.com/new-in/fourteen"
            },
            {
                "type": "major",
                "title": "E-book viewer: Add support for highlighting",
                "description": "https://manual.calibre-ebook.com/viewer.html#highlighting-text"
            },
            {
                "type": "major",
                "title": "E-book viewer: Add support for right-to-left and vertical text"
            },
            {
                "type": "major",
                "title": "Switch calibre to Python 3. This means that some no longer maintained third party plugins will not work. See https://www.mobileread.com/forums/showthread.php?t=326405"
            },
            {
                "title": "Dark mode support for the Content server and E-book viewer user interfaces"
            },
            {
                "title": "Content server's in-browser viewer now supports bookmarking. Bookmarks and highlights are auto-synced across devices."
            },
            {
                "title": "Regular expression engine used for searching the book list and reading metadata from filenames has been made more powerful."
            }
        ],
        "bug fixes": [
            {
                "title": "Version 5.0.1 fixes a bug in 5.0.0 that broke connecting to devices on macOS",
                "description": ""
            }
        ],
        "improved recipes": [],
        "new recipes": []
    },
    {
        "version": "4.23.0",
        "date": "2020-08-21",
        "new features": [
            {
                "title": "Kobo driver: Add support for new firmware. Also add recognition of 'Kobo Plus' subscription books"
            },
            {
                "tickets": [
                    1889925
                ],
                "title": "Edit book: Allow customizing the base background/foreground and link colors for the preview window."
            },
            {
                "tickets": [
                    1891765
                ],
                "title": "Quickview panel: Add actions to the context menu to search for book in library, open in E-book viewer, etc."
            },
            {
                "title": "Allow forcing calibre to remember the column width for the On device column by right clicking the header of the column"
            },
            {
                "title": "Template language: Add functions to perform math operations to convert fractional numbers to integers"
            }
        ],
        "bug fixes": [
            {
                "tickets": [
                    1849958
                ],
                "title": "Content server: Fix Esc key not working in several views."
            },
            {
                "tickets": [
                    1889973
                ],
                "title": "Fix unable to delete default value for custom columns of boolean type, once set"
            },
            {
                "title": "EPUB Output: When splitting don't consider files with only a single character empty"
            },
            {
                "title": "Comments editor: Fix syntax coloring for HTML view in dark mode"
            },
            {
                "title": "Book list: When a series column is not wide enough, elide text in the middle so that the series number is visible"
            }
        ],
        "improved recipes": [
            "El Diplo",
            "calibre Blog",
            "ESPN",
            "LA Times",
            "Winnipeg Free Press",
            "Popular Science",
            "Science News Recent Issues"
        ],
        "new recipes": [
            {
                "title": "linuxnews.de and t3n.de",
                "author": "Volker Heggemann"
            }
        ]
    }
]